All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros Groups
sort.hpp File Reference
`#include <stan/math/prim/mat/fun/Eigen.hpp>`
`#include <vector>`
`#include <algorithm>`
`#include <functional>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

template<typename T >
std::vector< T > | stan::math::sort_asc (std::vector< T > xs)
| Return the specified standard vector in ascending order. More...
template<typename T >
std::vector< T > | stan::math::sort_desc (std::vector< T > xs)
| Return the specified standard vector in descending order. More...
template<typename T , int R, int C>
Eigen::Matrix< T, R, C > | stan::math::sort_asc (Eigen::Matrix< T, R, C > xs)
| Return the specified eigen vector in ascending order. More...
template<typename T , int R, int C>
Eigen::Matrix< T, R, C > | stan::math::sort_desc (Eigen::Matrix< T, R, C > xs)
| Return the specified eigen vector in descending order. More...

[ Stan Home Page ] © 2011–2015, Stan Development Team.